% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/functions.R
\name{clean_baf_base}
\alias{clean_baf_base}
\title{Clean the BAF Base dataset and write to 03_primary}
\usage{
clean_baf_base(
  in_prefix,
  out_prefix = "03_primary/variant=Base",
  bucket_name = "baf-fraud",
  partitioning = "month",
  existing_data_behavior = c("overwrite", "error", "delete_matching"),
  verbose = TRUE
)
}
\arguments{
\item{in_prefix}{Character. Input dataset prefix inside bucket (e.g. "02_intermediate/variant=Base").}

\item{out_prefix}{Character. Output dataset prefix inside bucket (e.g. "03_primary/variant=Base").}

\item{bucket_name}{Character. Bucket name. Default "baf-fraud".}

\item{partitioning}{Character vector of columns to partition by. Default "month". Set NULL to disable.}

\item{existing_data_behavior}{One of "overwrite", "error", "delete_matching". Default "overwrite".}

\item{verbose}{Logical. Emit progress messages. Default TRUE.}
}
\value{
Character. out_prefix (for downstream targets).
}
\description{
Clean the BAF Base dataset and write to 03_primary
}
